FROM debian:latest

LABEL author="Pablo Ruz Muñoz"
LABEL project="PrivateLDAP"
LABEL date="23/09/2023"

RUN apt-get update
ARG DEBIAN_FRONTEND=noninteractive
RUN apt-get -y install iproute2 nmap tree less ldap-utils slapd vim ldap-utils slapd

RUN mkdir /opt/docker
WORKDIR /opt/docker
COPY * /opt/docker/

EXPOSE 389
CMD /opt/docker/startup.sh
